Upstream information

CVE-2022-0284 at MITRE

Description

A heap-based-buffer-over-read flaw was found in ImageMagick's GetPixelAlpha() function of 'pixel-accessor.h'. This vulnerability is triggered when an attacker passes a specially crafted Tagged Image File Format (TIFF) image to convert it into a PICON file format. This issue can potentially lead to a denial of service and information disclosure.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.1 6.1
Vector CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:H CVSS:3.1/AV:L/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:H
Attack Vector Local Local
Attack Complexity Low Low
Privileges Required None None
User Interaction Required Required
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1195563 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 7.1
SUSE Linux Enterprise Desktop 15 SP3
SUSE Linux Enterprise High Performance Computing 15 SP3
SUSE Linux Enterprise Server 15 SP3
SUSE Linux Enterprise Server for SAP Applications 15 SP3
SUSE Manager Proxy 4.2
SUSE Manager Retail Branch Server 4.2
SUSE Manager Server 4.2
  • ImageMagick >= 7.0.7.34-10.21.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-10.21.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-10.21.1
  • ImageMagick-devel >= 7.0.7.34-10.21.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-10.21.1
  • libMagick++-devel >= 7.0.7.34-10.21.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-10.21.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-10.21.1
  • perl-PerlMagick >= 7.0.7.34-10.21.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP3-2022-540
SUSE-SLE-Module-Development-Tools-15-SP3-2022-540
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • ImageMagick >= 7.1.0.9-150400.4.7
  • ImageMagick-config-7-SUSE >= 7.1.0.9-150400.4.7
  • ImageMagick-config-7-upstream >= 7.1.0.9-150400.4.7
  • ImageMagick-devel >= 7.1.0.9-150400.4.7
  • libMagick++-7_Q16HDRI5 >= 7.1.0.9-150400.4.7
  • libMagick++-devel >= 7.1.0.9-150400.4.7
  • libMagickCore-7_Q16HDRI10 >= 7.1.0.9-150400.4.7
  • libMagickWand-7_Q16HDRI10 >= 7.1.0.9-150400.4.7
  • perl-PerlMagick >= 7.1.0.9-150400.4.7
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 GA ImageMagick-7.1.0.9-150400.4.7
SUSE Linux Enterprise Module for Development Tools 15 SP4 GA perl-PerlMagick-7.1.0.9-150400.4.7
SUSE Linux Enterprise Module for Desktop Applications 15 SP3
  • ImageMagick >= 7.0.7.34-10.21.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-10.21.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-10.21.1
  • ImageMagick-devel >= 7.0.7.34-10.21.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-10.21.1
  • libMagick++-devel >= 7.0.7.34-10.21.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-10.21.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-10.21.1
Patchnames:
SUSE-SLE-Module-Desktop-Applications-15-SP3-2022-540
SUSE Linux Enterprise Module for Desktop Applications 15 SP4
  • ImageMagick >= 7.1.0.9-150400.4.7
  • ImageMagick-config-7-SUSE >= 7.1.0.9-150400.4.7
  • ImageMagick-config-7-upstream >= 7.1.0.9-150400.4.7
  • ImageMagick-devel >= 7.1.0.9-150400.4.7
  • libMagick++-7_Q16HDRI5 >= 7.1.0.9-150400.4.7
  • libMagick++-devel >= 7.1.0.9-150400.4.7
  • libMagickCore-7_Q16HDRI10 >= 7.1.0.9-150400.4.7
  • libMagickWand-7_Q16HDRI10 >= 7.1.0.9-150400.4.7
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 GA ImageMagick-7.1.0.9-150400.4.7
SUSE Linux Enterprise Module for Development Tools 15 SP3
  • perl-PerlMagick >= 7.0.7.34-10.21.1
Patchnames:
SUSE-SLE-Module-Development-Tools-15-SP3-2022-540
SUSE Linux Enterprise Module for Development Tools 15 SP4
  • perl-PerlMagick >= 7.1.0.9-150400.4.7
Patchnames:
SUSE Linux Enterprise Module for Development Tools 15 SP4 GA perl-PerlMagick-7.1.0.9-150400.4.7
SUSE Linux Enterprise Real Time 15 SP2
  • ImageMagick >= 7.0.7.34-10.21.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-10.21.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-10.21.1
  • ImageMagick-devel >= 7.0.7.34-10.21.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-10.21.1
  • libMagick++-devel >= 7.0.7.34-10.21.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-10.21.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-10.21.1
  • perl-PerlMagick >= 7.0.7.34-10.21.1
Patchnames:
SUSE-SLE-Product-RT-15-SP2-2022-540
openSUSE Leap 15.3
  • ImageMagick >= 7.0.7.34-10.21.1
  • ImageMagick-config-7-SUSE >= 7.0.7.34-10.21.1
  • ImageMagick-config-7-upstream >= 7.0.7.34-10.21.1
  • ImageMagick-devel >= 7.0.7.34-10.21.1
  • ImageMagick-devel-32bit >= 7.0.7.34-10.21.1
  • ImageMagick-doc >= 7.0.7.34-10.21.1
  • ImageMagick-extra >= 7.0.7.34-10.21.1
  • libMagick++-7_Q16HDRI4 >= 7.0.7.34-10.21.1
  • libMagick++-7_Q16HDRI4-32bit >= 7.0.7.34-10.21.1
  • libMagick++-devel >= 7.0.7.34-10.21.1
  • libMagick++-devel-32bit >= 7.0.7.34-10.21.1
  • libMagickCore-7_Q16HDRI6 >= 7.0.7.34-10.21.1
  • libMagickCore-7_Q16HDRI6-32bit >= 7.0.7.34-10.21.1
  • libMagickWand-7_Q16HDRI6 >= 7.0.7.34-10.21.1
  • libMagickWand-7_Q16HDRI6-32bit >= 7.0.7.34-10.21.1
  • perl-PerlMagick >= 7.0.7.34-10.21.1
Patchnames:
openSUSE-SLE-15.3-2022-540
openSUSE Leap 15.4
  • ImageMagick >= 7.1.0.9-150400.4.7
  • ImageMagick-config-7-SUSE >= 7.1.0.9-150400.4.7
  • libMagick++-7_Q16HDRI5 >= 7.1.0.9-150400.4.7
  • libMagickCore-7_Q16HDRI10 >= 7.1.0.9-150400.4.7
  • libMagickWand-7_Q16HDRI10 >= 7.1.0.9-150400.4.7
Patchnames:
openSUSE Leap 15.4 GA ImageMagick-7.1.0.9-150400.4.7


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 ImageMagick Not affected
SUSE CaaS Platform 4.0 ImageMagick In progress
SUSE Enterprise Storage 6 ImageMagick In progress
SUSE Enterprise Storage 7 ImageMagick In progress
SUSE Enterprise Storage 7.1 ImageMagick Released
SUSE Linux Enterprise Desktop 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise Desktop 15 SP3 ImageMagick Released
SUSE Linux Enterprise Desktop 15 SP4 ImageMagick Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS ImageMagick In progress
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS ImageMagick In progress
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS ImageMagick In progress
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS ImageMagick In progress
SUSE Linux Enterprise High Performance Computing 15 SP3 ImageMagick Released
SUSE Linux Enterprise High Performance Computing 15 SP4 ImageMagick Already fixed
SUSE Linux Enterprise High Performance Computing 15-LTSS ImageMagick In progress
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 ImageMagick Released
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 ImageMagick In progress
SUSE Linux Enterprise Module for Development Tools 15 SP3 ImageMagick Released
SUSE Linux Enterprise Module for Development Tools 15 SP4 ImageMagick Already fixed
SUSE Linux Enterprise Real Time 15 SP2 ImageMagick Released
SUSE Linux Enterprise Server 11 SP1 ImageMagick Not affected
SUSE Linux Enterprise Server 11 SP3 ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP2-BCL ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP3-BCL ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP3-ESPOS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP3-LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP4-ESPOS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP4-LTSS ImageMagick Not affected
SUSE Linux Enterprise Server 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise Server 15 SP1-LTSS ImageMagick In progress
SUSE Linux Enterprise Server 15 SP2-LTSS ImageMagick In progress
SUSE Linux Enterprise Server 15 SP3 ImageMagick Released
SUSE Linux Enterprise Server 15 SP4 ImageMagick Already fixed
SUSE Linux Enterprise Server 15-ESPOS ImageMagick In progress
SUSE Linux Enterprise Server 15-LTSS ImageMagick In progress
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 ImageMagick In progress
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 ImageMagick In progress
SUSE Linux Enterprise Server for SAP Applications 12 SP3 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise Server for SAP Applications 15 ImageMagick In progress
SUSE Linux Enterprise Server for SAP Applications 15 SP1 ImageMagick In progress
SUSE Linux Enterprise Server for SAP Applications 15 SP2 ImageMagick In progress
SUSE Linux Enterprise Server for SAP Applications 15 SP3 ImageMagick Released
SUSE Linux Enterprise Server for SAP Applications 15 SP4 ImageMagick Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP5 ImageMagick Not affected
SUSE Linux Enterprise Workstation Extension 12 SP5 ImageMagick Not affected
SUSE Manager Proxy 4.1 ImageMagick In progress
SUSE Manager Proxy 4.2 ImageMagick Released
SUSE Manager Proxy 4.3 ImageMagick Already fixed
SUSE Manager Retail Branch Server 4.1 ImageMagick In progress
SUSE Manager Retail Branch Server 4.2 ImageMagick Released
SUSE Manager Retail Branch Server 4.3 ImageMagick Already fixed
SUSE Manager Server 4.1 ImageMagick In progress
SUSE Manager Server 4.2 ImageMagick Released
SUSE Manager Server 4.3 ImageMagick Already fixed
SUSE OpenStack Cloud 8 ImageMagick Not affected
SUSE OpenStack Cloud 9 ImageMagick Not affected
SUSE OpenStack Cloud Crowbar 8 ImageMagick Not affected
SUSE OpenStack Cloud Crowbar 9 ImageMagick Not affected


SUSE Timeline for this CVE

CVE page created: Thu Feb 3 11:00:53 2022
CVE page last modified: Fri Nov 25 17:51:34 2022